import UIKit

// MARK: - UITextInput
//
extension UITextInput {
    /// Returns NSRange from UITextRange
    ///
    var selectedRange: NSRange? {
        guard let range = selectedTextRange else { return nil }
        let location = offset(from: beginningOfDocument, to: range.start)
        let length = offset(from: range.start, to: range.end)
        return NSRange(location: location, length: length)
    }
}
